Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
com.foxit.sdk.pdf.Response Class Reference

## Public Member Functions
| Response ()
| Constructor.
| Response (int type, byte[] response_data)
| Constructor, with parameters. More...
| Response (Response other)
| Constructor, with another response object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
byte[] | getResponse_data ()
| Get response content. More...
int | getType ()
| Get response type. More...
void | set (int type, byte[] response_data)
| Set value. More...
void | setResponse_data (byte[] value)
| Set response content. More...
void | setType (int value)
| Set response type. More...

## Static Public Attributes
static final int | e_TypeCRL = 1
| CRL response.
static final int | e_TypeNone = 0
| No response.
static final int | e_TypeOCSP = 2
| OCSP response.

## Detailed Description

This class represents a response for a certificate.

## Constructor & Destructor Documentation

## ◆ Response() [1/2]

com.foxit.sdk.pdf.Response.Response | ( | int | type,
|  | byte[] | response_data
| ) |  |

Constructor, with parameters.

Parameters

  [in] | type | Response type. Please refer to values starting from com.foxit.sdk.pdf.Response.e_TypeNone and this should be one of these values.
  [in] | response_data | Response content.

## ◆ Response() [2/2]

com.foxit.sdk.pdf.Response.Response | ( | Response | other | ) |

Constructor, with another response object.

Parameters

  [in] | other | Another response object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.pdf.Response.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getResponse_data()

com.foxit.sdk.pdf.Response.getResponse_data | ( |  | ) |

Get response content.

Returns
  Response content.

## ◆ getType()

com.foxit.sdk.pdf.Response.getType | ( |  | ) |

Get response type.

Returns
  Response type. Please refer to values starting from com.foxit.sdk.pdf.Response.e_TypeNone and this should be one of these values.

## ◆ set()

void com.foxit.sdk.pdf.Response.set | ( | int | type,
|  | byte[] | response_data
| ) |  |

Set value.

Parameters

  [in] | type | Response type. Please refer to values starting from com.foxit.sdk.pdf.Response.e_TypeNone and this should be one of these values.
  [in] | response_data | Response content.

Returns
  None.

## ◆ setResponse_data()

com.foxit.sdk.pdf.Response.setResponse_data | ( | byte[] | value | ) |

Set response content.

Parameters

  [in] | value | Response content.

Returns
  None.

## ◆ setType()

com.foxit.sdk.pdf.Response.setType | ( | int | value | ) |

Set response type.

Parameters

  [in] | value | Response type. Please refer to values starting from com.foxit.sdk.pdf.Response.e_TypeNone and this should be one of these values.

Returns
  None.